#include <iostream>

using namespace std;

int main()
{
     int n,k;
     cin>>n>>k;
     int s1=0;
     int s0=0;
     int t;
     bool g=false;
     for(int i=0;i<n;i++)
     {
         if(s1<k)
         {
             cin>>t;
             if(t==1)
                s1++;
             if(t==0)
                s0++;
         }
         if(s1==k&&g==false)
         {
             for(int j=0;j<s0;j++)
                cout<<0<<" ";
                g=true;


         }else
         if(g==true)
           {

           cin>>t;
         cout<<t<<" ";}


     }
     if(g==false)
        {for(int i=0;i<n-k;i++)
        cout<<0<<" ";
        }



    return 0;
}